<?php
// UsersController.php
require_once 'UserModel.php';

class UsersController {
    public function createUser() {
        if ($_SERVER["REQUEST_METHOD"] == "POST") {
            // Vérifier si les champs sont définis et non vides
            if (
                isset($_POST['nom'], $_POST['prenom'], $_POST['username'], $_POST['email'], $_POST['password'], $_POST['confirm_password']) &&
                !empty($_POST['nom']) &&
                !empty($_POST['prenom']) &&
                !empty($_POST['username']) &&
                !empty($_POST['email']) &&
                !empty($_POST['password']) &&
                !empty($_POST['confirm_password'])
            ) {
                $nom = $_POST['nom'];
                $prenom = $_POST['prenom'];
                $username = $_POST['username'];
                $email = $_POST['email'];
                $password = $_POST['password'];
                $confirm_password = $_POST['confirm_password'];

                // Vérifier si les mots de passe correspondent
                if ($password !== $confirm_password) {
                    // Les mots de passe ne correspondent pas, afficher un message d'erreur
                    echo '<span style="color: red; font-weight: bold;">Les mots de passe ne correspondent pas.</span>';
                    return;
                }

                // Créer le modèle utilisateur et ajouter l'utilisateur
                $userModel = new UserModel();
                $userModel->createUser($nom, $prenom, $username, $password, $email);
            } else {
                echo '<span style="color: red; font-weight: bold;">Tous les champs doivent être remplis.</span>';
            }
        }
    }
}
?>